<! DOCTYPE html>
<html lang="es">
    <head>
      <title> Electronics Desing </title>  
        <meta charset="UTF-8">
       <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scalable=1, maximum-scale=1, minimum-scale=1">
          -->
        
        
        
        
    <link rel="stylesheet" href="css/fontello.css">
    <link rel="stylesheet" href="css/stylePM.css">
                        
    
    
    
    </head>



    <body>
        <header>
        
       
            <div class="contenedor" > 
            <h1 class="icon-rocket"> Electronics Desing  </h1>
            
            <nav class="menu">
                <a href="index.html">HOME</a>
                <a href="ElectronicsProduction.html">Electronic Productions</a>
                <a href="SatshakitModified.rar"> Download Satshakit Files</a>
                
            
            
            </nav>
        </div>
        
        </header>
    
    <main>
        
        
        <section id="banner">
             
            
            <!--
        
            <div class="contenedor">
           
            <h2> Fundamentals Lab Project </h2>
            <p> Development of assignments </p>
            <a href="#"> Read More</a>
        
         </div>
                -->
            
        </section>
        
        <section id="description">
        <h2> Electronics Dessing </h2>
            <p> <em> <b> PCB Designing with EAGLE CAD</em> </b> </p> <br/>
            <p>  For this stage, we will create a PCB with which we will work on our project. For final project we will create a temperature controller with relay output. Our PBC is based on <a href="https://github.com/satshakit/satshakit-128"> Satshakit 128 </a>and we will make some changes such as adding an LED and a button for a Digital input.
            </p> <br/>
            <br/>
            
        
        
                 <img src="SASHDESING.png" border="2" title="Satshakit 128 Original" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
               <br/>
            
            <img src="SashtakiBottom.png" border="2" title="Satshakit 128 Original" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <br/>
            
             <p>
             
                 To add our components, the ADD option is enough
           </p> 
            
             <img src="AddPart.png" border="2" title="Add Part in EAGLE" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <br/>
            
              <p>
             
                  Remember that we will use the FABLAB devices so we will check if they are available in our library, otherwise we just have to add them.
           </p> <br/>
            
        
            
             <img src="librarymanager.png" border="2" title="Setting" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>  <br/>
            
             <p>
            
                 Now we can add all our desired elements (LED, Resistor, button SMD and a connector for our controller)

           </p>
            
            <img src="Selecting%20Devices.png" border="2" title="Setting Devices" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            
           
            <br/>
            
            <p>
            
                 
                It is extremely important to know which pin each item corresponds to, so you can identify between outputs, inputs, VCC and GND. <br/>
                In this design we will add a 5V regulator to work with our temperature sensor.

           </p> <br/>
            
            <img src="DevicesReady.png" border="2" title="Setting Devices" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
            <p>
                We will add connectors for our LCD 16 * 2 and for other elements such as the Relay output that we will need

           </p>
            <img src="ConectorsPIN.png" border="2" title="Conector Pins" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
            
            
         <h2> Working on the PCB Board </h2>
            
             <p>
              
                 
                 Now, we go to design on the Board
                   </p> 
            
            <img src="BoardChanges.png" border="2" title="Board OptionP" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <br/>
            
            <p>

            The next step is to order all the elements in the best possible way, that no line crosses with another and that the devices have the best possible order. <br/>
                Then, We must to add a border. To add a layer use the polygon tool (draw> polygon) and draw around the board. Type GND in the pop up. <br/>
                If you connect the border, it will appear dotted.

           </p> <br/>
            
            
            
            <img src="DevicesAndBorder.png" border="2" title="Devices and boarder" style="max-width:100%;width:auto;height:auto;">  
              <br/>
            
             <p>
              
               
                 We click on the edge and define it as GND, it will be a solid polygon of 20 thousand. <br/>
                 Select each line and recalculate based on the new available spaces 
                  <br/>
                   </p> 
            
            <img src="Recalculating%20Lines.png" border="2" title="Final Selection" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             
            <br/>
            
            <p>
               
                Now we work with the same procedures learned in <b> <a href="ElectronicsProduction.html"> Electronic Productions </b> </a>

           </p> <br/>
             <img src="PCBinMill.png" border="2" title="PCB ready in Machine" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="PCB.png" border="2" title="PCB" style="max-width:100%;width:auto;height:auto;">  
            
            
            <br/>
            
            
             <img src="DevicesSoldeded.png" border="2" title="Soldering Devices" style="max-width:100%;width:auto;height:auto;">  
            
            
            <br/>
            
             <br/>
            
             <img src="FinalwithoutMicroController.png" border="2" title="PCB" style="max-width:100%;width:auto;height:auto;">  
            
            
            <br/>
            
              <p>
           
Unfortunately, there is no longer ATMEGA1284P-AU in stock, so we will have to look for another PCB option for our project.

           </p> <br/>
            
            
            
           
          
            
            
             <h2>


Remember that you can download these files in the top menu

           </h2> <br/>
            
            
            
        </section>
        
              --> 
        </section>
        </main>
    
    </body>
</html>